
SETUP_INFO = dict(
    name = 'infi.vendata.powertools',
    version = '2.2',
    author = 'Guy Rozendorn',
    author_email = 'guyr@infinidat.com',

    url = 'https://git.infinidat.com/host-internal/infi.vendata.powertools',
    license = 'PSF',
    description = """Collection of tools for provisioning and managing the INFINIDAT InfiniBox Storage Array""",
    long_description = """Collection of tools for provisioning and managing the INFINIDAT InfiniBox Storage Array""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'Brownie>=0.5.1',
'capacity>=1.3.6',
'CherryPy>=4.0.0',
'colorama>=0.3.5',
'docopt>=0.6.2',
'gevent>=1.0.2',
'gipc>=0.5.0',
'infi.diskmanagement>=0.3.10',
'infi.docopt-completion>=0.2.6',
'infi.eventlog>=0.1.8',
'infi.exceptools>=0.2.10',
'infi.execute>=0.1.2',
'infi.gevent-utils>=0.2.2',
'infi.logs-collector>=0.1.11',
'infi.os-info>=0.1.7',
'infi.pkgmgr>=0.1.12',
'infi.pyutils>=1.1.2',
'infi.reboot>=0.2.11',
'infi.registry>=0.1.18',
'infi.run-as-root>=0.1.5',
'infi.storagemodel>=0.4.9',
'infi.systray>=0.1.7',
'infi.sysv-service>=0.1.11',
'infi.traceback>=0.3.12',
'infi.vendata.infinibox-credentials-store>=0.1.3',
'infi.winapi.file-version-information>=0.0.8',
'infi.winver>=0.2.7',
'infi.wmi>=0.1.27',
'infinisdk',
'jsonpickle>=0.9.2',
'Mako>=1.0.3',
'mock>=1.0.1',
'pexpect>=4.0.1',
'python-cjson>=1.1.0',
'reimport>=1.4.1',
'setuptools>=19.2.0.1',
'zc.buildout>=2.5.0'
],
    namespace_packages = ['infi', 'infi.vendata'],

    package_dir = {'': 'src'},
    package_data = {'': [
'*.conf',
'*.css',
'*.ico',
'*.json',
'*.png',
'*.rules',
'fonts/*.eot',
'fonts/*.html',
'fonts/*.otf',
'fonts/*.svg',
'fonts/*.ttf',
'fonts/*.woff',
'html/*.html',
'images/*.gif',
'infi.fc.modules.restart.service',
'infinidat-odm.rpm',
'infinidat.odm',
'infinidat_clean_odm',
'js/*.js',
'js/external/*.js',
'NFINIDAT.msg',
'rc.modules',
'scsi_commands.cmd',
'scsi_commands.sh',
'sg_inq.exe',
'sg_luns.exe',
'sg_rtpg.exe',
'sg_scan.exe',
'sg_stpg.exe',
'sg_turs.exe',
'src/infi/vendata/powertools/logs_collect/scsi_commands.sh',
'templates/*.mako'
]},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = [
'blocking_task_cli = infi.vendata.powertools.utils.blocking_scripts:cli',
'infinihost = infi.vendata.powertools.cli:in_cli',
'post_install = infi.vendata.powertools.cli:post_install',
'pre_uninstall = infi.vendata.powertools.cli:pre_uninstall',
'qrcode_add = infi.vendata.powertools.utils.qrcode.scripts:qrcode_add',
'qrcode_get = infi.vendata.powertools.utils.qrcode.scripts:qrcode_get',
'qrcode_update_all = infi.vendata.powertools.utils.qrcode.scripts:qrcode_update_all',
'pack_odm = infi.vendata.powertools.settings.cases.aix.odm.rpm:build'
],
        gui_scripts = [
'blocking_task_gui = infi.vendata.powertools.utils.blocking_scripts:gui',
'infinihost-gui = infi.vendata.powertools.gui.scripts:development_server'
],
        ),
)

if SETUP_INFO['url'] is None:
    _ = SETUP_INFO.pop('url')

def setup():
    from os import name
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    if name == 'nt':
        SETUP_INFO['install_requires'] = [item for item in SETUP_INFO['install_requires'] if
                                          'pexpect' not in item]
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

