performance_modal = {

    init : function() {
        jQuery(".test-performance").click(performance_modal.popup);
        performance_modal.reset();
    },

    reset: function() {
        jQuery('#performance-modal-gauge').html('');
        performance_modal.gauge = new jGauge(); // Create a new jGauge.
        performance_modal.gauge.imagePath = "/static/images/gauge_bg.png";
        performance_modal.gauge.needle.imagePath = "/static/images/gauge_needle.png";
        performance_modal.gauge.needle.limitAction = limitAction.clamp;
        performance_modal.gauge.needle.yOffset = 0;
        performance_modal.gauge.needle.xOffset = 0;
        performance_modal.gauge.width = 260;
        performance_modal.gauge.height = 260;
        performance_modal.gauge.segmentStart = -180;
        performance_modal.gauge.segmentEnd = 0;
        performance_modal.gauge.id = 'performance-modal-gauge'; // Link the new jGauge to the placeholder DIV.
        performance_modal.gauge.ticks.count = 0;
        performance_modal.gauge.label.xOffset = -1000;
        performance_modal.gauge.range.radius = 0;
        performance_modal.gauge.setValue(0);
        performance_modal.gauge.init(); // Put the jGauge on the page by initializing it.
        performance_modal.running = false;
    },

    popup : function(event) {
        readiness.with_provisioning_enabled(function() {
            jQuery('#performance-modal-instructions').show();
            jQuery("#performance-modal-value").hide();
            jQuery("#performance-modal-result").html("");
            performance_modal.device_serial = jQuery(event.target).closest('.actions').data("serial");
            setTimeout(function() {
                performance_modal.gauge.setValue(0);
            }, 1);
            jQuery("#performance-modal").dialog({
                modal: true,
                width: 540,
                height: 465,
                resizable: false,
                dialogClass: "no-close",
                closeOnEscape: false,
                buttons: [
                    {
                        id: "performance-modal-start",
                        text: "START",
                        click: performance_modal.start
                    },
                    {
                        id: "performance-modal-cancel",
                        text: "CANCEL",
                        click: performance_modal.cancel
                    }
                ]
            });
        });
    },

    start : function() {
        performance_modal.gauge.setValue(0);
        performance_modal.first_request = true;
        performance_modal.running = true;
        performance_modal.cancelled = false;
        performance_modal.next_result_ajax();
        jQuery('#performance-modal-instructions').hide();
        jQuery("#performance-modal-value").fadeIn();
        jQuery("#performance-modal-start").button("disable");
        jQuery("#performance-modal-result").html('<div class="action"></div> Waiting for server...');
        spinnerFactory.create(jQuery(".action"), "tiny");
    },

    next_result_ajax: function() {
        var data = {first_request: performance_modal.first_request, device_serial: performance_modal.device_serial};
        var ajaxOptions = {type: "GET", dataType: "json", data: data, cache: false, url: sources.operations.performance_test};
        view.ajax(ajaxOptions, performance_modal.next_result, null, null);
    },

    next_result: function(json) {
        if (performance_modal.cancelled) {
            return;
        }
        var make_next_request = true;
        if (performance_modal.first_request) {
            performance_modal.gauge.ticks.end = json.return_value;
        }
        else if (typeof(json.return_value) == 'string') {
            if (json.return_value.indexOf("Setting up") == 0) {
                json.return_value = '<div class="action"></div> ' + json.return_value;
            }
            jQuery("#performance-modal-result").html(json.return_value.replace(/\n/g, "<br>"));
            spinnerFactory.create(jQuery(".action"), "tiny");
            if (json.return_value.indexOf("Result") == 0) {
                jQuery("#performance-modal-cancel").button("option", "label", "CLOSE");
                make_next_request = false;
                performance_modal.running = false;
            }
        } else {
            performance_modal.gauge.setValue(json.return_value);
            jQuery("#performance-modal-value span").text(Math.round(json.return_value / 1000 / 1000));
        }
        performance_modal.first_request = false;
        if (make_next_request) {
            performance_modal.next_result_ajax();
        }
    },

    cancel: function(event) {
        if (performance_modal.running) {
            var selector = jQuery(event.target).parent();
            performance_modal.cancelled = true;
            var data = {device_serial: performance_modal.device_serial};
            var ajaxOptions = {type: "GET", dataType: "json", data: data, cache: false, url: sources.operations.cancel_performance_test};
            view.spinAjax(ajaxOptions, performance_modal.cancel_ajax_done);
        }
        else {
            performance_modal.cancel_ajax_done();
        }
    },

    cancel_ajax_done: function(json) {
        performance_modal.running = false;
        jQuery("#performance-modal").dialog("close");
        performance_modal.gauge.setValue(0);
        jQuery("#performance-modal-value span").text(0);
    }

}