from unittest import TestCase, SkipTest

class InitrdTestCase(TestCase):
    def setUp(self):
        from platform import system
        super(InitrdTestCase, self).setUp()
        if system() != 'Linux':
            raise SkipTest("runs on linux only")

    def get_initrd_files(self):
        from glob import glob
        return glob("/boot/init*")

    def test_create_initrd(self):
        from . import create_initrd
        before = self.get_initrd_files()
        create_initrd(before[-1])
        after = self.get_initrd_files()
        self.assertGreater(len(after), len(before))
