from ..utils.queries import get_uniq_list_of_attached_boxes__by_serial
from ..utils.tables import Table, Column
from ..utils.termsize import getTerminalSize

def _get_boxes_table():
    table = Table([
                   Column(0, 'System Name'),
                   Column(1, 'Serial'),
                   Column(2, 'Registered as'),
                   Column(3, 'Part of cluster'),
                   Column(4, 'System Version')
                  ], max_width=getTerminalSize()[0])
    box_controllers = get_uniq_list_of_attached_boxes__by_serial()
    for box in box_controllers:
        vendor = box.get_vendor()
        table.add_row([
                       vendor.get_system_name(),
                       str(vendor.get_system_serial()),
                       vendor.get_host_name() or '-',
                       vendor.get_cluster_name() or '-',
                       vendor.get_system_version()])
    return table

def show():
    table = _get_boxes_table()
    if len(table.rows):
        print table
    else:
        print "No systems detected."
