
# pylint: disable-all

def setUp(map_volumes_to_lun0=False):
    from infi.vendata.smock import HostMock
    from capacity import GB
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    mock.start()
    for index in range(5):
        system = inventory.add_infinibox(10 + index)
        inventory.zone_with_system__best_practices(system)
        inventory.register_host_in_system(system)
        for volume_index in range(5):
            offset = 0 if map_volumes_to_lun0 else 1
            inventory.provision_a_volume_from_system(system, 123 * GB, name='vol%02d' % (volume_index + offset))
    return mock
