
# pylint: disable-all

def setUp():
    from infi.vendata.smock import HostMock
    from capacity import GB
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    system = inventory.add_infinibox(10)
    pool = system.pools.create()
    system.volumes.create(pool=pool, name="foo", size=2 * GB)
    pool.add_owner(system.users.create(name='pool_admin', password='123456', role='PoolAdmin', email='pool@admin.com'))
    system.users.create(name='no_admin', password='123456', role='PoolAdmin', email='pool@admin.com')
    system.users.create(name='viewer', password='123456', role='ReadOnly', email='pool@admin.com')
    inventory.zone_with_system__best_practices(system)
    return mock
