
# pylint: disable-all

def setUp(serial=9999):
    from capacity import GB
    from infi.vendata.smock import HostMock
    mock = HostMock()
    inventory = mock.get_inventory()
    inventory.add_initiator(), inventory.add_initiator()
    system = inventory.add_infinibox(serial)
    inventory.zone_with_system__best_practices(system)
    inventory.register_host_in_system(system)
    mock.start()
    for i in range(3):
        inventory.provision_a_volume_from_system(system, 123 * GB, name='vol%02d' % (i + 1))
    return mock
