from ..rescan.engine import do_rescan
from ..utils.queries import get_infinisdk_host_and_volume_by_device


def rename_device_impl(device, name, disable_print=False):
    infinisdk_host, infinisdk_device = get_infinisdk_host_and_volume_by_device(device)
    infinisdk_device.update_field('name', name)
    do_rescan(disable_print=disable_print)


def rename_device(device, name, disable_print=False):
    from infinisdk.core.exceptions import APICommandFailed
    try:
        rename_device_impl(device, name, disable_print)
    except APICommandFailed as exc:
        print "ERROR: {}".format(exc.message)
        return 1
    return 0
